import kotlin.String
import org.gradle.plugin.use.PluginDependenciesSpec
import org.gradle.plugin.use.PluginDependencySpec

/**
 * Generated by https://github.com/jmfayard/buildSrcVersions
 *
 * Find which updates are available by running
 *     `$ ./gradlew buildSrcVersions`
 * This will only update the comments.
 *
 * YOU are responsible for updating manually the dependency version.
 */
object Versions {
  const val kotlin_openapi3_dsl: String = "0.20.2"

  const val jackson_databind: String = "2.10.0.pr1"

  const val jackson_module_kotlin: String = "2.10.0.pr1"

  const val com_github_johnrengelman_shadow_gradle_plugin: String = "5.1.0"

  const val de_fayard_buildsrcversions_gradle_plugin: String = "0.4.2"

  const val javalin: String = "3.4.1"

  const val swagger_core: String = "2.0.9"

  const val org_jetbrains_kotlin_jvm_gradle_plugin: String = "1.3.50"

  const val org_jetbrains_kotlin: String = "1.3.50"

  const val junit_jupiter: String = "5.5.1"

  const val slf4j_simple: String = "1.7.28"

  const val swagger_ui: String = "3.23.5"

  /**
   *
   * See issue 19: How to update Gradle itself?
   * https://github.com/jmfayard/buildSrcVersions/issues/19
   */
  const val gradleLatestVersion: String = "5.6.1"

  const val gradleCurrentVersion: String = "5.6.1"
}

/**
 * See issue #47: how to update buildSrcVersions itself
 * https://github.com/jmfayard/buildSrcVersions/issues/47
 */
val PluginDependenciesSpec.buildSrcVersions: PluginDependencySpec
  inline get() =
      id("de.fayard.buildSrcVersions").version(Versions.de_fayard_buildsrcversions_gradle_plugin)
